org.apache.fop.render.bitmap

## Class BitmapRendererConfigurator

- java.lang.Object
- - org.apache.fop.render.AbstractRendererConfigurator
  - - org.apache.fop.render.PrintRendererConfigurator
    - - org.apache.fop.render.DefaultRendererConfigurator
      - - org.apache.fop.render.java2d.Java2DRendererConfigurator
        - - org.apache.fop.render.bitmap.BitmapRendererConfigurator

All Implemented Interfaces:
  IFDocumentHandlerConfigurator

Direct Known Subclasses:
  TIFFRendererConfigurator

    public class BitmapRendererConfigurator
    extends Java2DRendererConfigurator

Configurator for bitmap output.

### Field Summary

### Fields inherited from class org.apache.fop.render.AbstractRendererConfigurator

`userAgent`

### Constructor Summary

Constructors
Constructor and Description
`BitmapRendererConfigurator(FOUserAgent userAgent, RendererConfig.RendererConfigParser rendererConfigParser)` Default constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configure(IFDocumentHandler documentHandler)` Configures a intermediate format document handler.
`protected FontCollection` `createCollectionFromFontList(InternalResourceResolver resourceResolver, List<EmbedFontInfo> fontList)` Creates the font collection given a list of embedded font infomation.
`protected List<FontCollection>` `getDefaultFontCollection()`

### Methods inherited from class org.apache.fop.render.java2d.Java2DRendererConfigurator

`configure`

### Methods inherited from class org.apache.fop.render.PrintRendererConfigurator

`createDefaultInstance, getCustomFontCollection, getRendererConfig, getRendererConfig, getRendererConfig, setupFontInfo`

### Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator

`getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BitmapRendererConfigurator

    public BitmapRendererConfigurator(FOUserAgent userAgent,
                                      RendererConfig.RendererConfigParser rendererConfigParser)

Default constructor

Parameters:
  `userAgent` - user agent

### Method Detail

#### configure

    public void configure(IFDocumentHandler documentHandler)
                   throws FOPException

Configures a intermediate format document handler.

Specified by:
  `configure` in interface `IFDocumentHandlerConfigurator`
Overrides:
  `configure` in class `PrintRendererConfigurator`
Parameters:
  `documentHandler` - the document handler instance
Throws:
  `FOPException` - if an error occurs while configuring the object

#### createCollectionFromFontList

    protected FontCollection createCollectionFromFontList(InternalResourceResolver resourceResolver,
                                                          List<EmbedFontInfo> fontList)

Description copied from class: `PrintRendererConfigurator`
Creates the font collection given a list of embedded font infomation.

Overrides:
  `createCollectionFromFontList` in class `PrintRendererConfigurator`
Parameters:
  `resourceResolver` - the resource resolver
  `fontList` - the embedded font infomation
Returns:
  the font collection

#### getDefaultFontCollection

    protected List<FontCollection> getDefaultFontCollection()

Overrides:
  `getDefaultFontCollection` in class `DefaultRendererConfigurator`